Add a dependency option to a group
Add a dependency option to a specific dependency group for a metaproperty option.
post
https://{your-bynder-domain}/api/v4/metaproperties/{id}/options/{optionId}/dependencies/group/{groupId}/{dependencyId}
Path Parameters
idstringrequired
Example:00000000-0000-0000-0000000000000000
optionIdstringrequired
Example:00000000-0000-0000-0000000000000000
groupIdstringrequired
Example:00000000-0000-0000-0000000000000000
dependencyIdstringrequired
Example:00000000-0000-0000-0000000000000000
Body
application/x-www-form-urlencoded
Body
application/x-www-form-urlencoded
dependencyIdstring
The id of the dependency (metaproperty option) you’d like to add to the dependency group.
Example:00000000-0000-0000-0000000000000000
groupIdstring
The id of the dependency group you’d like to add a dependency to.
Example:00000000-0000-0000-0000000000000000
idstring
The id of the metaproperty the (metaproperty) option belongs to.
Example:00000000-0000-0000-0000000000000000
optionIdstring
The id of the (metaproperty) option the dependency group belongs to.
Example:00000000-0000-0000-0000000000000000
Response
application/json
Response
application/json
Created
post/api/v4/metaproperties/{id}/options/{optionId}/dependencies/group/{groupId}/{dependencyId}
Authentication
UnauthenticatedPath Parameters
Body
{}
application/json
ListOptionsOutput
objectmetadataobjectrequired
Show Child Parameters
optionsarray[object]required
Show Child Parameters
Example
MetadataOutput
objectnextPagestring
prevPagestring
Example
MetapropertyNotExistingOutput1
objecterrorCodestringrequired
messagestringrequired
Example
MetapropertyOption
objectexternalReferencestringrequired
iconstringrequired
idstringrequired
namestringrequired
Example